Skip to content

Incident Comment Creation



POST /api/v1/incidents/comment/{incident_uuid}/add

Overview

Route Parameters

Parameter Name Type Required Description
incident_uuid string Y Incident uuid
Allow empty: False

Body Request Parameters

Parameter Name Type Required Description
comment string Y Comment content
Allow empty: False
Example: comment_xxx
extend json Extended information
Allow empty: False
Example: {}
attachmentUUIDs array Attachment UUID list
Allow empty: False
Example: []

Parameter Supplementary Description

Basic Parameter Description

Parameter Name Parameter Type Required Parameter Description
attachmentUUIDs array N Corresponds to the attachment list uuid for replying to an issue. Must be uploaded first via the /api/v1/attachment/upload interface.
comment string Y Comment content
extend json N Extended field, default is {}.

Extended Field extend Description

Parameter Name Parameter Type Required Parameter Description
members array N Notification target members expected to be notified about the incident.
linkList array N Add links.

extend field example:

{
    "members": [
        {
            "type": "@",
            "uuid": "acnt_xxxx32",
            "exists": true
        }
    ],
    "linkList": [
        {
            "name": "Test",
            "link": "https://xxxx",
        }
    ]
}

Request Example

curl 'https://openapi.truewatch.com/api/v1/incidents/comment/incident_xxxx/add' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"comment":"<span class=\"mention-highlight\" data-mention=\"true\" data-uuid=\"acnt_xxx\" data-name=\"xxx\" contenteditable=\"false\">@xxxx</span>&nbsp;test","attachmentUUIDs":[],"extend":{"links":[],"members":[{"uuid":"acnt_xxxx","name":"xxxx","type":"@"}]}}'\
--compressed

Response

{
    "code": 200,
    "content": true,
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "xxx"
}